Upload

  • POST
  • /workspaces
  • /:workspace
  • /artifacts
  • /:artifact_id
  • /versions
  • /:version_id
  • /content
  • /upload
  • /:path

Upload file to artifact version

Request

REQUIRED SCOPES
ARTIFACT_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

artifact_idrequiredstring
The Artifact ID

Example: "x5169jL2"

version_idrequiredstring
The Version ID

Example: "a9f84k2L"

pathrequiredstring
Path where the file should be created

Constraints: Pattern: .*

Example: "src/main.js"

Response

RESPONSE BODY
typestring enum
Type of the content item
Allowed enum:
FILE,
DIR
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
namestring
File or directory name
pathstring
Full path to the file or directory
sizeinteger
Size in bytes. Only present when type=FILE.

Last modified on Jun 29, 2026

Request example

CURL
curl -X POST "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_id/versions/:version_id/content/upload/:path" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2/versions/a9f84k2L/content/src/app.js", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions/a9f84k2L/content/src/app.js", "type": "FILE", "name": "app.js", "path": "src/app.js", "size": 2048576 }
STATUS
201 Created